Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000428 [Piwigo] warnings feature always 2006.06.19 09:03 2006.06.28 12:14
Reporter flipflip View Status public  
Assigned To nikrou
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6.0RC3 Product Version 1.6.0RC2
  Target Version Product Build
Summary 0000428: Contrôle l'activation de la librairie GD
Description Est-ce qu'il serait possible de mettre un message sur la page ou apparait la liste des photos dispo comme quoi la création de vignette ne sera pas possible parce qu'il manque la librairie GD, éventuellement en donnant un lien vers une petite doc qui explique ce que c'est ce bazar ?

Souvent se sont les utilisateurs novices qui utilisent cette fonction, donc il n'y connaissent pas grand chose. Ca éviterait peut être des posts du genre :
- Pas de vignette
- Page blanche
...
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000802closedplg Rien ne se passe si php-gd n'est pas present 

-  Notes
(0001098)
nikrou (developer)
2006.06.19 22:24

Je ne pense pas qu'on est besoin de mettre le lien vers la doc. On a déjà le popup d'aide sur la création des imagettes.

Je ne sais pas encore comment coriger le problème. Je peux faire renvoyer false à la fonction qui fabrique les imagettes et on n'a plus de page blanche. Reste à intégrer proprement le message comme quoi il n'y a pas de support de gd.
(0001100)
flipflip (reporter)
2006.06.20 07:49

Ok pour la doc c'est pas utile.
Pour la gestion du message, en utilisant la fonction extension-loaded http://www.php.net/manual/fr/function.extension-loaded.php [^] avant l'affichage de la liste des vignettes je pense que ça serait mieux plutôt qu'après.
(0001105)
nikrou (developer)
2006.06.22 21:41

corrigé dans la branche [Subversion] r1378
reporté dans le tronc [Subversion] r1379

- Issue History
Date Modified Username Field Change
2006.06.19 09:03 flipflip New Issue
2006.06.19 09:03 flipflip browser => any
2006.06.19 09:03 flipflip Web server => Apache 1.3.x
2006.06.19 20:56 nikrou Status new => assigned
2006.06.19 20:56 nikrou Assigned To => nikrou
2006.06.19 22:24 nikrou Note Added: 0001098
2006.06.20 07:49 flipflip Note Added: 0001100
2006.06.22 21:41 nikrou Note Added: 0001105
2006.06.22 21:41 nikrou Status assigned => resolved
2006.06.22 21:41 nikrou Resolution open => fixed
2006.06.22 21:41 nikrou Status resolved => feedback
2006.06.22 21:41 nikrou Resolution fixed => reopened
2006.06.22 21:42 nikrou Status feedback => resolved
2006.06.22 21:42 nikrou Fixed in Version => 1.6.0RC3
2006.06.22 21:42 nikrou Resolution reopened => fixed
2006.06.28 12:14 nikrou Status resolved => closed
2008.05.29 22:43 plg Relationship added related to 0000802


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker